---
title: WebGLRenderingContext.depthFunc()
slug: Web/API/WebGLRenderingContext/depthFunc
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.depthFunc()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> specifies a function that compares incoming pixel depth to the current depth buffer value.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.depthFunc(<var>func</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>func</code></dt>
 <dd>A {{domxref("GLenum")}} specifying the depth comparison function, which sets the conditions under which the pixel will be drawn. The default value is <code>gl.LESS</code>. Possible values are:
 <ul>
  <li><code>gl.NEVER</code> (never pass)</li>
  <li><code>gl.LESS</code> (pass if the incoming value is less than the depth buffer value)</li>
  <li><code>gl.EQUAL</code> (pass if the incoming value equals the depth buffer value)</li>
  <li><code>gl.LEQUAL</code> (pass if the incoming value is less than or equal to the depth buffer value)</li>
  <li><code>gl.GREATER</code> (pass if the incoming value is greater than the depth buffer value)</li>
  <li><code>gl.NOTEQUAL</code> (pass if the incoming value is not equal to the depth buffer value)</li>
  <li><code>gl.GEQUAL</code> (pass if the incoming value is greater than or equal to the depth buffer value)</li>
  <li><code>gl.ALWAYS</code> (always pass)</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>The depth testing is disabled by default. To enable or disable depth testing, use the {{domxref("WebGLRenderingContext.enable", "enable()")}} and {{domxref("WebGLRenderingContext.disable", "disable()")}} methods with the argument <code>gl.DEPTH_TEST</code>.</p>

<pre class="brush: js">gl.enable(gl.DEPTH_TEST);
gl.depthFunc(gl.NEVER);
</pre>

<p>To check the current depth function, query the <code>DEPTH_FUNC</code> constant.</p>

<pre class="brush: js">gl.getParameter(gl.DEPTH_FUNC) === gl.NEVER;
// true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "depthFunc")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glDepthFunc.xml", "glDepthFunc")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.depthFunc")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.enable()")}}</li>
</ul>
